Merge tag 'upstream/1.2.0'
[psensor-pkg-debian.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19   case $${target_option-} in \
20       ?) ;; \
21       *) echo "am__make_running_with_option: internal error: invalid" \
22               "target option '$${target_option-}' specified" >&2; \
23          exit 1;; \
24   esac; \
25   has_opt=no; \
26   sane_makeflags=$$MAKEFLAGS; \
27   if $(am__is_gnu_make); then \
28     sane_makeflags=$$MFLAGS; \
29   else \
30     case $$MAKEFLAGS in \
31       *\\[\ \   ]*) \
32         bs=\\; \
33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
35     esac; \
36   fi; \
37   skip_next=no; \
38   strip_trailopt () \
39   { \
40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41   }; \
42   for flg in $$sane_makeflags; do \
43     test $$skip_next = yes && { skip_next=no; continue; }; \
44     case $$flg in \
45       *=*|--*) continue;; \
46         -*I) strip_trailopt 'I'; skip_next=yes;; \
47       -*I?*) strip_trailopt 'I';; \
48         -*O) strip_trailopt 'O'; skip_next=yes;; \
49       -*O?*) strip_trailopt 'O';; \
50         -*l) strip_trailopt 'l'; skip_next=yes;; \
51       -*l?*) strip_trailopt 'l';; \
52       -[dEDm]) skip_next=yes;; \
53       -[JT]) skip_next=yes;; \
54     esac; \
55     case $$flg in \
56       *$$target_option*) has_opt=yes; break;; \
57     esac; \
58   done; \
59   test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 build_triplet = @build@
79 host_triplet = @host@
80 check_PROGRAMS = test-io-dir-list$(EXEEXT) \
81         test-psensor-type-to-unit-str$(EXEEXT) \
82         test-psensor-value-to-str$(EXEEXT) test-url-encode$(EXEEXT) \
83         test-url-normalize$(EXEEXT)
84 @ATASMART_TRUE@am__append_1 = $(ATASMART_LIBS)
85 @GTOP_TRUE@am__append_2 = $(GTOP_LIBS)
86 TESTS = test-io-dir-list.sh test-psensor-type-to-unit-str$(EXEEXT) \
87         test-psensor-value-to-str$(EXEEXT) test-url-encode$(EXEEXT) \
88         test-url-normalize$(EXEEXT) $(am__append_3)
89 @CPPCHECK_TRUE@am__append_3 = test-cppcheck.sh
90 subdir = tests
91 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
92         $(top_srcdir)/depcomp $(top_srcdir)/test-driver
93 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
94 am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
95         $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
96         $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
97         $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
98         $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
99 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
100         $(ACLOCAL_M4)
101 mkinstalldirs = $(install_sh) -d
102 CONFIG_HEADER = $(top_builddir)/config.h
103 CONFIG_CLEAN_FILES =
104 CONFIG_CLEAN_VPATH_FILES =
105 am_test_io_dir_list_OBJECTS = test_io_dir_list.$(OBJEXT)
106 test_io_dir_list_OBJECTS = $(am_test_io_dir_list_OBJECTS)
107 test_io_dir_list_LDADD = $(LDADD)
108 am_test_psensor_type_to_unit_str_OBJECTS = test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.$(OBJEXT)
109 test_psensor_type_to_unit_str_OBJECTS =  \
110         $(am_test_psensor_type_to_unit_str_OBJECTS)
111 test_psensor_type_to_unit_str_LDADD = $(LDADD)
112 test_psensor_type_to_unit_str_LINK = $(CCLD) \
113         $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) \
114         $(AM_LDFLAGS) $(LDFLAGS) -o $@
115 am_test_psensor_value_to_str_OBJECTS =  \
116         test_psensor_value_to_str-test_psensor_value_to_str.$(OBJEXT)
117 test_psensor_value_to_str_OBJECTS =  \
118         $(am_test_psensor_value_to_str_OBJECTS)
119 test_psensor_value_to_str_LDADD = $(LDADD)
120 test_psensor_value_to_str_LINK = $(CCLD) \
121         $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
122         $(LDFLAGS) -o $@
123 am_test_url_encode_OBJECTS = test_url_encode.$(OBJEXT)
124 test_url_encode_OBJECTS = $(am_test_url_encode_OBJECTS)
125 test_url_encode_LDADD = $(LDADD)
126 am_test_url_normalize_OBJECTS = test_url_normalize.$(OBJEXT)
127 test_url_normalize_OBJECTS = $(am_test_url_normalize_OBJECTS)
128 test_url_normalize_LDADD = $(LDADD)
129 AM_V_P = $(am__v_P_@AM_V@)
130 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
131 am__v_P_0 = false
132 am__v_P_1 = :
133 AM_V_GEN = $(am__v_GEN_@AM_V@)
134 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
135 am__v_GEN_0 = @echo "  GEN     " $@;
136 am__v_GEN_1 = 
137 AM_V_at = $(am__v_at_@AM_V@)
138 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
139 am__v_at_0 = @
140 am__v_at_1 = 
141 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
142 depcomp = $(SHELL) $(top_srcdir)/depcomp
143 am__depfiles_maybe = depfiles
144 am__mv = mv -f
145 AM_V_lt = $(am__v_lt_@AM_V@)
146 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
147 am__v_lt_0 = --silent
148 am__v_lt_1 = 
149 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
150         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
151 AM_V_CC = $(am__v_CC_@AM_V@)
152 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
153 am__v_CC_0 = @echo "  CC      " $@;
154 am__v_CC_1 = 
155 CCLD = $(CC)
156 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
157 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
158 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
159 am__v_CCLD_0 = @echo "  CCLD    " $@;
160 am__v_CCLD_1 = 
161 SOURCES = $(test_io_dir_list_SOURCES) \
162         $(test_psensor_type_to_unit_str_SOURCES) \
163         $(test_psensor_value_to_str_SOURCES) \
164         $(test_url_encode_SOURCES) $(test_url_normalize_SOURCES)
165 DIST_SOURCES = $(test_io_dir_list_SOURCES) \
166         $(test_psensor_type_to_unit_str_SOURCES) \
167         $(test_psensor_value_to_str_SOURCES) \
168         $(test_url_encode_SOURCES) $(test_url_normalize_SOURCES)
169 am__can_run_installinfo = \
170   case $$AM_UPDATE_INFO_DIR in \
171     n|no|NO) false;; \
172     *) (install-info --version) >/dev/null 2>&1;; \
173   esac
174 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
175 # Read a list of newline-separated strings from the standard input,
176 # and print each of them once, without duplicates.  Input order is
177 # *not* preserved.
178 am__uniquify_input = $(AWK) '\
179   BEGIN { nonempty = 0; } \
180   { items[$$0] = 1; nonempty = 1; } \
181   END { if (nonempty) { for (i in items) print i; }; } \
182 '
183 # Make sure the list of sources is unique.  This is necessary because,
184 # e.g., the same source file might be shared among _SOURCES variables
185 # for different programs/libraries.
186 am__define_uniq_tagged_files = \
187   list='$(am__tagged_files)'; \
188   unique=`for i in $$list; do \
189     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
190   done | $(am__uniquify_input)`
191 ETAGS = etags
192 CTAGS = ctags
193 am__tty_colors_dummy = \
194   mgn= red= grn= lgn= blu= brg= std=; \
195   am__color_tests=no
196 am__tty_colors = { \
197   $(am__tty_colors_dummy); \
198   if test "X$(AM_COLOR_TESTS)" = Xno; then \
199     am__color_tests=no; \
200   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
201     am__color_tests=yes; \
202   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
203     am__color_tests=yes; \
204   fi; \
205   if test $$am__color_tests = yes; then \
206     red='\e[0;31m'; \
207     grn='\e[0;32m'; \
208     lgn='\e[1;32m'; \
209     blu='\e[1;34m'; \
210     mgn='\e[0;35m'; \
211     brg='\e[1m'; \
212     std='\e[m'; \
213   fi; \
214 }
215 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
216 am__vpath_adj = case $$p in \
217     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
218     *) f=$$p;; \
219   esac;
220 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
221 am__install_max = 40
222 am__nobase_strip_setup = \
223   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
224 am__nobase_strip = \
225   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
226 am__nobase_list = $(am__nobase_strip_setup); \
227   for p in $$list; do echo "$$p $$p"; done | \
228   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
229   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
230     if (++n[$$2] == $(am__install_max)) \
231       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
232     END { for (dir in files) print dir, files[dir] }'
233 am__base_list = \
234   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
235   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
236 am__uninstall_files_from_dir = { \
237   test -z "$$files" \
238     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
239     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
240          $(am__cd) "$$dir" && rm -f $$files; }; \
241   }
242 am__recheck_rx = ^[     ]*:recheck:[    ]*
243 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
244 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
245 # A command that, given a newline-separated list of test names on the
246 # standard input, print the name of the tests that are to be re-run
247 # upon "make recheck".
248 am__list_recheck_tests = $(AWK) '{ \
249   recheck = 1; \
250   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
251     { \
252       if (rc < 0) \
253         { \
254           if ((getline line2 < ($$0 ".log")) < 0) \
255             recheck = 0; \
256           break; \
257         } \
258       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
259         { \
260           recheck = 0; \
261           break; \
262         } \
263       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
264         { \
265           break; \
266         } \
267     }; \
268   if (recheck) \
269     print $$0; \
270   close ($$0 ".trs"); \
271   close ($$0 ".log"); \
272 }'
273 # A command that, given a newline-separated list of test names on the
274 # standard input, create the global log from their .trs and .log files.
275 am__create_global_log = $(AWK) ' \
276 function fatal(msg) \
277 { \
278   print "fatal: making $@: " msg | "cat >&2"; \
279   exit 1; \
280 } \
281 function rst_section(header) \
282 { \
283   print header; \
284   len = length(header); \
285   for (i = 1; i <= len; i = i + 1) \
286     printf "="; \
287   printf "\n\n"; \
288 } \
289 { \
290   copy_in_global_log = 1; \
291   global_test_result = "RUN"; \
292   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
293     { \
294       if (rc < 0) \
295          fatal("failed to read from " $$0 ".trs"); \
296       if (line ~ /$(am__global_test_result_rx)/) \
297         { \
298           sub("$(am__global_test_result_rx)", "", line); \
299           sub("[        ]*$$", "", line); \
300           global_test_result = line; \
301         } \
302       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
303         copy_in_global_log = 0; \
304     }; \
305   if (copy_in_global_log) \
306     { \
307       rst_section(global_test_result ": " $$0); \
308       while ((rc = (getline line < ($$0 ".log"))) != 0) \
309       { \
310         if (rc < 0) \
311           fatal("failed to read from " $$0 ".log"); \
312         print line; \
313       }; \
314       printf "\n"; \
315     }; \
316   close ($$0 ".trs"); \
317   close ($$0 ".log"); \
318 }'
319 # Restructured Text title.
320 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
321 # Solaris 10 'make', and several other traditional 'make' implementations,
322 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
323 # by disabling -e (using the XSI extension "set +e") if it's set.
324 am__sh_e_setup = case $$- in *e*) set +e;; esac
325 # Default flags passed to test drivers.
326 am__common_driver_flags = \
327   --color-tests "$$am__color_tests" \
328   --enable-hard-errors "$$am__enable_hard_errors" \
329   --expect-failure "$$am__expect_failure"
330 # To be inserted before the command running the test.  Creates the
331 # directory for the log if needed.  Stores in $dir the directory
332 # containing $f, in $tst the test, in $log the log.  Executes the
333 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
334 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
335 # will run the test scripts (or their associated LOG_COMPILER, if
336 # thy have one).
337 am__check_pre = \
338 $(am__sh_e_setup);                                      \
339 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
340 $(am__tty_colors);                                      \
341 srcdir=$(srcdir); export srcdir;                        \
342 case "$@" in                                            \
343   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
344     *) am__odir=.;;                                     \
345 esac;                                                   \
346 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
347   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
348 if test -f "./$$f"; then dir=./;                        \
349 elif test -f "$$f"; then dir=;                          \
350 else dir="$(srcdir)/"; fi;                              \
351 tst=$$dir$$f; log='$@';                                 \
352 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
353   am__enable_hard_errors=no;                            \
354 else                                                    \
355   am__enable_hard_errors=yes;                           \
356 fi;                                                     \
357 case " $(XFAIL_TESTS) " in                              \
358   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
359     am__expect_failure=yes;;                            \
360   *)                                                    \
361     am__expect_failure=no;;                             \
362 esac;                                                   \
363 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
364 # A shell command to get the names of the tests scripts with any registered
365 # extension removed (i.e., equivalently, the names of the test logs, with
366 # the '.log' extension removed).  The result is saved in the shell variable
367 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
368 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
369 # since that might cause problem with VPATH rewrites for suffix-less tests.
370 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
371 am__set_TESTS_bases = \
372   bases='$(TEST_LOGS)'; \
373   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
374   bases=`echo $$bases`
375 RECHECK_LOGS = $(TEST_LOGS)
376 AM_RECURSIVE_TARGETS = check recheck
377 TEST_SUITE_LOG = test-suite.log
378 TEST_EXTENSIONS = @EXEEXT@ .test
379 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
380 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
381 am__set_b = \
382   case '$@' in \
383     */*) \
384       case '$*' in \
385         */*) b='$*';; \
386           *) b=`echo '$@' | sed 's/\.log$$//'`; \
387        esac;; \
388     *) \
389       b='$*';; \
390   esac
391 am__test_logs1 = $(TESTS:=.log)
392 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
393 TEST_LOGS = $(am__test_logs2:.test.log=.log)
394 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
395 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
396         $(TEST_LOG_FLAGS)
397 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
398 ACLOCAL = @ACLOCAL@
399 AMTAR = @AMTAR@
400 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
401 APPINDICATOR_CFLAGS = @APPINDICATOR_CFLAGS@
402 APPINDICATOR_LIBS = @APPINDICATOR_LIBS@
403 AR = @AR@
404 ASCIIDOC = @ASCIIDOC@
405 ATASMART_CFLAGS = @ATASMART_CFLAGS@
406 ATASMART_LIBS = @ATASMART_LIBS@
407 AUTOCONF = @AUTOCONF@
408 AUTOHEADER = @AUTOHEADER@
409 AUTOMAKE = @AUTOMAKE@
410 AWK = @AWK@
411 CC = @CC@
412 CCDEPMODE = @CCDEPMODE@
413 CFLAGS = @CFLAGS@
414 CPP = @CPP@
415 CPPFLAGS = @CPPFLAGS@
416 CURL_CFLAGS = @CURL_CFLAGS@
417 CURL_LIBS = @CURL_LIBS@
418 CYGPATH_W = @CYGPATH_W@
419 DEFS = -DPACKAGE_DATA_DIR=\"$(pkgdatadir)\" -DLOCALEDIR=\"$(localedir)\" @DEFS@
420 DEPDIR = @DEPDIR@
421 ECHO_C = @ECHO_C@
422 ECHO_N = @ECHO_N@
423 ECHO_T = @ECHO_T@
424 EGREP = @EGREP@
425 EXEEXT = @EXEEXT@
426 GLIB_COMPILE_SCHEMAS = @GLIB_COMPILE_SCHEMAS@
427 GMSGFMT = @GMSGFMT@
428 GMSGFMT_015 = @GMSGFMT_015@
429 GREP = @GREP@
430 GSETTINGS_DISABLE_SCHEMAS_COMPILE = @GSETTINGS_DISABLE_SCHEMAS_COMPILE@
431 GTK_CFLAGS = @GTK_CFLAGS@
432 GTK_LIBS = @GTK_LIBS@
433 GTOP_CFLAGS = @GTOP_CFLAGS@
434 GTOP_LIBS = @GTOP_LIBS@
435 HAVE_CPPCHECK = @HAVE_CPPCHECK@
436 HELP2MAN = @HELP2MAN@
437 INSTALL = @INSTALL@
438 INSTALL_DATA = @INSTALL_DATA@
439 INSTALL_PROGRAM = @INSTALL_PROGRAM@
440 INSTALL_SCRIPT = @INSTALL_SCRIPT@
441 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
442 INTLLIBS = @INTLLIBS@
443 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
444 JSON_CFLAGS = @JSON_CFLAGS@
445 JSON_LIBS = @JSON_LIBS@
446 LDFLAGS = @LDFLAGS@
447 LIBATIADL_CFLAGS = @LIBATIADL_CFLAGS@
448 LIBATIADL_LIBS = @LIBATIADL_LIBS@
449 LIBICONV = @LIBICONV@
450 LIBINTL = @LIBINTL@
451 LIBMICROHTTPD_CFLAGS = @LIBMICROHTTPD_CFLAGS@
452 LIBMICROHTTPD_LIBS = @LIBMICROHTTPD_LIBS@
453 LIBNOTIFY_CFLAGS = @LIBNOTIFY_CFLAGS@
454 LIBNOTIFY_LIBS = @LIBNOTIFY_LIBS@
455 LIBOBJS = @LIBOBJS@
456 LIBS = @LIBS@ ../src/lib/libpsensor.a $(SENSORS_LIBS) $(am__append_1) \
457         $(am__append_2)
458 LIBUDISKS2_CFLAGS = @LIBUDISKS2_CFLAGS@
459 LIBUDISKS2_LIBS = @LIBUDISKS2_LIBS@
460 LTLIBICONV = @LTLIBICONV@
461 LTLIBINTL = @LTLIBINTL@
462 LTLIBOBJS = @LTLIBOBJS@
463 MAKEINFO = @MAKEINFO@
464 MKDIR_P = @MKDIR_P@
465 MSGFMT = @MSGFMT@
466 MSGFMT_015 = @MSGFMT_015@
467 MSGMERGE = @MSGMERGE@
468 NVIDIA_CFLAGS = @NVIDIA_CFLAGS@
469 NVIDIA_LIBS = @NVIDIA_LIBS@
470 OBJEXT = @OBJEXT@
471 PACKAGE = @PACKAGE@
472 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
473 PACKAGE_NAME = @PACKAGE_NAME@
474 PACKAGE_STRING = @PACKAGE_STRING@
475 PACKAGE_TARNAME = @PACKAGE_TARNAME@
476 PACKAGE_URL = @PACKAGE_URL@
477 PACKAGE_VERSION = @PACKAGE_VERSION@
478 PATH_SEPARATOR = @PATH_SEPARATOR@
479 PKG_CONFIG = @PKG_CONFIG@
480 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
481 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
482 POSUB = @POSUB@
483 PTHREAD_LIBS = @PTHREAD_LIBS@
484 RANLIB = @RANLIB@
485 SENSORS_LIBS = @SENSORS_LIBS@
486 SET_MAKE = @SET_MAKE@
487 SHELL = @SHELL@
488 STRIP = @STRIP@
489 UNITY_CFLAGS = @UNITY_CFLAGS@
490 UNITY_LIBS = @UNITY_LIBS@
491 USE_NLS = @USE_NLS@
492 VERSION = @VERSION@
493 X11_CFLAGS = @X11_CFLAGS@
494 X11_LIBS = @X11_LIBS@
495 XEXT_CFLAGS = @XEXT_CFLAGS@
496 XEXT_LIBS = @XEXT_LIBS@
497 XGETTEXT = @XGETTEXT@
498 XGETTEXT_015 = @XGETTEXT_015@
499 XMKMF = @XMKMF@
500 abs_builddir = @abs_builddir@
501 abs_srcdir = @abs_srcdir@
502 abs_top_builddir = @abs_top_builddir@
503 abs_top_srcdir = @abs_top_srcdir@
504 ac_ct_AR = @ac_ct_AR@
505 ac_ct_CC = @ac_ct_CC@
506 am__include = @am__include@
507 am__leading_dot = @am__leading_dot@
508 am__quote = @am__quote@
509 am__tar = @am__tar@
510 am__untar = @am__untar@
511 bindir = @bindir@
512 build = @build@
513 build_alias = @build_alias@
514 build_cpu = @build_cpu@
515 build_os = @build_os@
516 build_vendor = @build_vendor@
517 builddir = @builddir@
518 datadir = @datadir@
519 datarootdir = @datarootdir@
520 docdir = @docdir@
521 dvidir = @dvidir@
522 exec_prefix = @exec_prefix@
523 gsettingsschemadir = @gsettingsschemadir@
524 host = @host@
525 host_alias = @host_alias@
526 host_cpu = @host_cpu@
527 host_os = @host_os@
528 host_vendor = @host_vendor@
529 htmldir = @htmldir@
530 includedir = @includedir@
531 infodir = @infodir@
532 install_sh = @install_sh@
533 libdir = @libdir@
534 libexecdir = @libexecdir@
535 localedir = @localedir@
536 localstatedir = @localstatedir@
537 mandir = @mandir@
538 mkdir_p = @mkdir_p@
539 oldincludedir = @oldincludedir@
540 pdfdir = @pdfdir@
541 prefix = @prefix@
542 program_transform_name = @program_transform_name@
543 psdir = @psdir@
544 sbindir = @sbindir@
545 sharedstatedir = @sharedstatedir@
546 srcdir = @srcdir@
547 sysconfdir = @sysconfdir@
548 target_alias = @target_alias@
549 top_build_prefix = @top_build_prefix@
550 top_builddir = @top_builddir@
551 top_srcdir = @top_srcdir@
552 EXTRA_DIST = checkpatch.pl \
553         spelling.txt \
554         test-cppcheck.sh \
555         test-io-dir-list.sh
556
557 AM_CPPFLAGS = -Wall -Werror
558 test_io_dir_list_SOURCES = test_io_dir_list.c
559 test_psensor_type_to_unit_str_SOURCES = test_psensor_type_to_unit_str.c
560 test_psensor_type_to_unit_str_CFLAGS = -I$(top_srcdir)/src/lib
561 test_psensor_value_to_str_SOURCES = test_psensor_value_to_str.c
562 test_psensor_value_to_str_CFLAGS = -I$(top_srcdir)/src/lib
563 test_url_encode_SOURCES = test_url_encode.c
564 test_url_normalize_SOURCES = test_url_normalize.c
565 all: all-am
566
567 .SUFFIXES:
568 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
569 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
570         @for dep in $?; do \
571           case '$(am__configure_deps)' in \
572             *$$dep*) \
573               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
574                 && { if test -f $@; then exit 0; else break; fi; }; \
575               exit 1;; \
576           esac; \
577         done; \
578         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
579         $(am__cd) $(top_srcdir) && \
580           $(AUTOMAKE) --gnu tests/Makefile
581 .PRECIOUS: Makefile
582 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
583         @case '$?' in \
584           *config.status*) \
585             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
586           *) \
587             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
588             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
589         esac;
590
591 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
592         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
593
594 $(top_srcdir)/configure:  $(am__configure_deps)
595         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
596 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
597         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
598 $(am__aclocal_m4_deps):
599
600 clean-checkPROGRAMS:
601         -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
602
603 test-io-dir-list$(EXEEXT): $(test_io_dir_list_OBJECTS) $(test_io_dir_list_DEPENDENCIES) $(EXTRA_test_io_dir_list_DEPENDENCIES) 
604         @rm -f test-io-dir-list$(EXEEXT)
605         $(AM_V_CCLD)$(LINK) $(test_io_dir_list_OBJECTS) $(test_io_dir_list_LDADD) $(LIBS)
606
607 test-psensor-type-to-unit-str$(EXEEXT): $(test_psensor_type_to_unit_str_OBJECTS) $(test_psensor_type_to_unit_str_DEPENDENCIES) $(EXTRA_test_psensor_type_to_unit_str_DEPENDENCIES) 
608         @rm -f test-psensor-type-to-unit-str$(EXEEXT)
609         $(AM_V_CCLD)$(test_psensor_type_to_unit_str_LINK) $(test_psensor_type_to_unit_str_OBJECTS) $(test_psensor_type_to_unit_str_LDADD) $(LIBS)
610
611 test-psensor-value-to-str$(EXEEXT): $(test_psensor_value_to_str_OBJECTS) $(test_psensor_value_to_str_DEPENDENCIES) $(EXTRA_test_psensor_value_to_str_DEPENDENCIES) 
612         @rm -f test-psensor-value-to-str$(EXEEXT)
613         $(AM_V_CCLD)$(test_psensor_value_to_str_LINK) $(test_psensor_value_to_str_OBJECTS) $(test_psensor_value_to_str_LDADD) $(LIBS)
614
615 test-url-encode$(EXEEXT): $(test_url_encode_OBJECTS) $(test_url_encode_DEPENDENCIES) $(EXTRA_test_url_encode_DEPENDENCIES) 
616         @rm -f test-url-encode$(EXEEXT)
617         $(AM_V_CCLD)$(LINK) $(test_url_encode_OBJECTS) $(test_url_encode_LDADD) $(LIBS)
618
619 test-url-normalize$(EXEEXT): $(test_url_normalize_OBJECTS) $(test_url_normalize_DEPENDENCIES) $(EXTRA_test_url_normalize_DEPENDENCIES) 
620         @rm -f test-url-normalize$(EXEEXT)
621         $(AM_V_CCLD)$(LINK) $(test_url_normalize_OBJECTS) $(test_url_normalize_LDADD) $(LIBS)
622
623 mostlyclean-compile:
624         -rm -f *.$(OBJEXT)
625
626 distclean-compile:
627         -rm -f *.tab.c
628
629 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_io_dir_list.Po@am__quote@
630 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Po@am__quote@
631 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Po@am__quote@
632 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_url_encode.Po@am__quote@
633 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_url_normalize.Po@am__quote@
634
635 .c.o:
636 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
637 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
638 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
639 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
640 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
641
642 .c.obj:
643 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
644 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
645 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
646 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
647 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
648
649 test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o: test_psensor_type_to_unit_str.c
650 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) -MT test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o -MD -MP -MF $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Tpo -c -o test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o `test -f 'test_psensor_type_to_unit_str.c' || echo '$(srcdir)/'`test_psensor_type_to_unit_str.c
651 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Tpo $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Po
652 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_psensor_type_to_unit_str.c' object='test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o' libtool=no @AMDEPBACKSLASH@
653 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
654 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) -c -o test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o `test -f 'test_psensor_type_to_unit_str.c' || echo '$(srcdir)/'`test_psensor_type_to_unit_str.c
655
656 test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj: test_psensor_type_to_unit_str.c
657 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) -MT test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj -MD -MP -MF $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Tpo -c -o test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj `if test -f 'test_psensor_type_to_unit_str.c'; then $(CYGPATH_W) 'test_psensor_type_to_unit_str.c'; else $(CYGPATH_W) '$(srcdir)/test_psensor_type_to_unit_str.c'; fi`
658 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Tpo $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Po
659 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_psensor_type_to_unit_str.c' object='test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj' libtool=no @AMDEPBACKSLASH@
660 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
661 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) -c -o test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj `if test -f 'test_psensor_type_to_unit_str.c'; then $(CYGPATH_W) 'test_psensor_type_to_unit_str.c'; else $(CYGPATH_W) '$(srcdir)/test_psensor_type_to_unit_str.c'; fi`
662
663 test_psensor_value_to_str-test_psensor_value_to_str.o: test_psensor_value_to_str.c
664 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) -MT test_psensor_value_to_str-test_psensor_value_to_str.o -MD -MP -MF $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Tpo -c -o test_psensor_value_to_str-test_psensor_value_to_str.o `test -f 'test_psensor_value_to_str.c' || echo '$(srcdir)/'`test_psensor_value_to_str.c
665 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Tpo $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Po
666 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_psensor_value_to_str.c' object='test_psensor_value_to_str-test_psensor_value_to_str.o' libtool=no @AMDEPBACKSLASH@
667 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
668 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) -c -o test_psensor_value_to_str-test_psensor_value_to_str.o `test -f 'test_psensor_value_to_str.c' || echo '$(srcdir)/'`test_psensor_value_to_str.c
669
670 test_psensor_value_to_str-test_psensor_value_to_str.obj: test_psensor_value_to_str.c
671 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) -MT test_psensor_value_to_str-test_psensor_value_to_str.obj -MD -MP -MF $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Tpo -c -o test_psensor_value_to_str-test_psensor_value_to_str.obj `if test -f 'test_psensor_value_to_str.c'; then $(CYGPATH_W) 'test_psensor_value_to_str.c'; else $(CYGPATH_W) '$(srcdir)/test_psensor_value_to_str.c'; fi`
672 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Tpo $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Po
673 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_psensor_value_to_str.c' object='test_psensor_value_to_str-test_psensor_value_to_str.obj' libtool=no @AMDEPBACKSLASH@
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
675 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) -c -o test_psensor_value_to_str-test_psensor_value_to_str.obj `if test -f 'test_psensor_value_to_str.c'; then $(CYGPATH_W) 'test_psensor_value_to_str.c'; else $(CYGPATH_W) '$(srcdir)/test_psensor_value_to_str.c'; fi`
676
677 ID: $(am__tagged_files)
678         $(am__define_uniq_tagged_files); mkid -fID $$unique
679 tags: tags-am
680 TAGS: tags
681
682 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
683         set x; \
684         here=`pwd`; \
685         $(am__define_uniq_tagged_files); \
686         shift; \
687         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
688           test -n "$$unique" || unique=$$empty_fix; \
689           if test $$# -gt 0; then \
690             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
691               "$$@" $$unique; \
692           else \
693             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
694               $$unique; \
695           fi; \
696         fi
697 ctags: ctags-am
698
699 CTAGS: ctags
700 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
701         $(am__define_uniq_tagged_files); \
702         test -z "$(CTAGS_ARGS)$$unique" \
703           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
704              $$unique
705
706 GTAGS:
707         here=`$(am__cd) $(top_builddir) && pwd` \
708           && $(am__cd) $(top_srcdir) \
709           && gtags -i $(GTAGS_ARGS) "$$here"
710 cscopelist: cscopelist-am
711
712 cscopelist-am: $(am__tagged_files)
713         list='$(am__tagged_files)'; \
714         case "$(srcdir)" in \
715           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
716           *) sdir=$(subdir)/$(srcdir) ;; \
717         esac; \
718         for i in $$list; do \
719           if test -f "$$i"; then \
720             echo "$(subdir)/$$i"; \
721           else \
722             echo "$$sdir/$$i"; \
723           fi; \
724         done >> $(top_builddir)/cscope.files
725
726 distclean-tags:
727         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
728
729 # Recover from deleted '.trs' file; this should ensure that
730 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
731 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
732 # to avoid problems with "make -n".
733 .log.trs:
734         rm -f $< $@
735         $(MAKE) $(AM_MAKEFLAGS) $<
736
737 # Leading 'am--fnord' is there to ensure the list of targets does not
738 # expand to empty, as could happen e.g. with make check TESTS=''.
739 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
740 am--force-recheck:
741         @:
742
743 $(TEST_SUITE_LOG): $(TEST_LOGS)
744         @$(am__set_TESTS_bases); \
745         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
746         redo_bases=`for i in $$bases; do \
747                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
748                     done`; \
749         if test -n "$$redo_bases"; then \
750           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
751           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
752           if $(am__make_dryrun); then :; else \
753             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
754           fi; \
755         fi; \
756         if test -n "$$am__remaking_logs"; then \
757           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
758                "recursion detected" >&2; \
759         else \
760           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
761         fi; \
762         if $(am__make_dryrun); then :; else \
763           st=0;  \
764           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
765           for i in $$redo_bases; do \
766             test -f $$i.trs && test -r $$i.trs \
767               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
768             test -f $$i.log && test -r $$i.log \
769               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
770           done; \
771           test $$st -eq 0 || exit 1; \
772         fi
773         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
774         ws='[   ]'; \
775         results=`for b in $$bases; do echo $$b.trs; done`; \
776         test -n "$$results" || results=/dev/null; \
777         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
778         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
779         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
780         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
781         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
782         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
783         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
784         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
785           success=true; \
786         else \
787           success=false; \
788         fi; \
789         br='==================='; br=$$br$$br$$br$$br; \
790         result_count () \
791         { \
792             if test x"$$1" = x"--maybe-color"; then \
793               maybe_colorize=yes; \
794             elif test x"$$1" = x"--no-color"; then \
795               maybe_colorize=no; \
796             else \
797               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
798             fi; \
799             shift; \
800             desc=$$1 count=$$2; \
801             if test $$maybe_colorize = yes && test $$count -gt 0; then \
802               color_start=$$3 color_end=$$std; \
803             else \
804               color_start= color_end=; \
805             fi; \
806             echo "$${color_start}# $$desc $$count$${color_end}"; \
807         }; \
808         create_testsuite_report () \
809         { \
810           result_count $$1 "TOTAL:" $$all   "$$brg"; \
811           result_count $$1 "PASS: " $$pass  "$$grn"; \
812           result_count $$1 "SKIP: " $$skip  "$$blu"; \
813           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
814           result_count $$1 "FAIL: " $$fail  "$$red"; \
815           result_count $$1 "XPASS:" $$xpass "$$red"; \
816           result_count $$1 "ERROR:" $$error "$$mgn"; \
817         }; \
818         {                                                               \
819           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
820             $(am__rst_title);                                           \
821           create_testsuite_report --no-color;                           \
822           echo;                                                         \
823           echo ".. contents:: :depth: 2";                               \
824           echo;                                                         \
825           for b in $$bases; do echo $$b; done                           \
826             | $(am__create_global_log);                                 \
827         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
828         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
829         if $$success; then                                              \
830           col="$$grn";                                                  \
831          else                                                           \
832           col="$$red";                                                  \
833           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
834         fi;                                                             \
835         echo "$${col}$$br$${std}";                                      \
836         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
837         echo "$${col}$$br$${std}";                                      \
838         create_testsuite_report --maybe-color;                          \
839         echo "$$col$$br$$std";                                          \
840         if $$success; then :; else                                      \
841           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
842           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
843             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
844           fi;                                                           \
845           echo "$$col$$br$$std";                                        \
846         fi;                                                             \
847         $$success || exit 1
848
849 check-TESTS:
850         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
851         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
852         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
853         @set +e; $(am__set_TESTS_bases); \
854         log_list=`for i in $$bases; do echo $$i.log; done`; \
855         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
856         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
857         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
858         exit $$?;
859 recheck: all $(check_PROGRAMS)
860         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
861         @set +e; $(am__set_TESTS_bases); \
862         bases=`for i in $$bases; do echo $$i; done \
863                  | $(am__list_recheck_tests)` || exit 1; \
864         log_list=`for i in $$bases; do echo $$i.log; done`; \
865         log_list=`echo $$log_list`; \
866         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
867                 am__force_recheck=am--force-recheck \
868                 TEST_LOGS="$$log_list"; \
869         exit $$?
870 test-io-dir-list.sh.log: test-io-dir-list.sh
871         @p='test-io-dir-list.sh'; \
872         b='test-io-dir-list.sh'; \
873         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
874         --log-file $$b.log --trs-file $$b.trs \
875         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
876         "$$tst" $(AM_TESTS_FD_REDIRECT)
877 test-psensor-type-to-unit-str.log: test-psensor-type-to-unit-str$(EXEEXT)
878         @p='test-psensor-type-to-unit-str$(EXEEXT)'; \
879         b='test-psensor-type-to-unit-str'; \
880         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
881         --log-file $$b.log --trs-file $$b.trs \
882         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
883         "$$tst" $(AM_TESTS_FD_REDIRECT)
884 test-psensor-value-to-str.log: test-psensor-value-to-str$(EXEEXT)
885         @p='test-psensor-value-to-str$(EXEEXT)'; \
886         b='test-psensor-value-to-str'; \
887         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
888         --log-file $$b.log --trs-file $$b.trs \
889         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
890         "$$tst" $(AM_TESTS_FD_REDIRECT)
891 test-url-encode.log: test-url-encode$(EXEEXT)
892         @p='test-url-encode$(EXEEXT)'; \
893         b='test-url-encode'; \
894         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
895         --log-file $$b.log --trs-file $$b.trs \
896         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
897         "$$tst" $(AM_TESTS_FD_REDIRECT)
898 test-url-normalize.log: test-url-normalize$(EXEEXT)
899         @p='test-url-normalize$(EXEEXT)'; \
900         b='test-url-normalize'; \
901         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
902         --log-file $$b.log --trs-file $$b.trs \
903         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
904         "$$tst" $(AM_TESTS_FD_REDIRECT)
905 test-cppcheck.sh.log: test-cppcheck.sh
906         @p='test-cppcheck.sh'; \
907         b='test-cppcheck.sh'; \
908         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
909         --log-file $$b.log --trs-file $$b.trs \
910         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
911         "$$tst" $(AM_TESTS_FD_REDIRECT)
912 .test.log:
913         @p='$<'; \
914         $(am__set_b); \
915         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
916         --log-file $$b.log --trs-file $$b.trs \
917         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
918         "$$tst" $(AM_TESTS_FD_REDIRECT)
919 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
920 @am__EXEEXT_TRUE@       @p='$<'; \
921 @am__EXEEXT_TRUE@       $(am__set_b); \
922 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
923 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
924 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
925 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
926
927 distdir: $(DISTFILES)
928         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
929         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
930         list='$(DISTFILES)'; \
931           dist_files=`for file in $$list; do echo $$file; done | \
932           sed -e "s|^$$srcdirstrip/||;t" \
933               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
934         case $$dist_files in \
935           */*) $(MKDIR_P) `echo "$$dist_files" | \
936                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
937                            sort -u` ;; \
938         esac; \
939         for file in $$dist_files; do \
940           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
941           if test -d $$d/$$file; then \
942             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
943             if test -d "$(distdir)/$$file"; then \
944               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
945             fi; \
946             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
947               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
948               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
949             fi; \
950             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
951           else \
952             test -f "$(distdir)/$$file" \
953             || cp -p $$d/$$file "$(distdir)/$$file" \
954             || exit 1; \
955           fi; \
956         done
957 check-am: all-am
958         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
959         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
960 check: check-am
961 all-am: Makefile
962 installdirs:
963 install: install-am
964 install-exec: install-exec-am
965 install-data: install-data-am
966 uninstall: uninstall-am
967
968 install-am: all-am
969         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
970
971 installcheck: installcheck-am
972 install-strip:
973         if test -z '$(STRIP)'; then \
974           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
975             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
976               install; \
977         else \
978           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
979             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
980             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
981         fi
982 mostlyclean-generic:
983         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
984         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
985         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
986
987 clean-generic:
988
989 distclean-generic:
990         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
991         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
992
993 maintainer-clean-generic:
994         @echo "This command is intended for maintainers to use"
995         @echo "it deletes files that may require special tools to rebuild."
996 clean: clean-am
997
998 clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
999
1000 distclean: distclean-am
1001         -rm -rf ./$(DEPDIR)
1002         -rm -f Makefile
1003 distclean-am: clean-am distclean-compile distclean-generic \
1004         distclean-tags
1005
1006 dvi: dvi-am
1007
1008 dvi-am:
1009
1010 html: html-am
1011
1012 html-am:
1013
1014 info: info-am
1015
1016 info-am:
1017
1018 install-data-am:
1019
1020 install-dvi: install-dvi-am
1021
1022 install-dvi-am:
1023
1024 install-exec-am:
1025
1026 install-html: install-html-am
1027
1028 install-html-am:
1029
1030 install-info: install-info-am
1031
1032 install-info-am:
1033
1034 install-man:
1035
1036 install-pdf: install-pdf-am
1037
1038 install-pdf-am:
1039
1040 install-ps: install-ps-am
1041
1042 install-ps-am:
1043
1044 installcheck-am:
1045
1046 maintainer-clean: maintainer-clean-am
1047         -rm -rf ./$(DEPDIR)
1048         -rm -f Makefile
1049 maintainer-clean-am: distclean-am maintainer-clean-generic
1050
1051 mostlyclean: mostlyclean-am
1052
1053 mostlyclean-am: mostlyclean-compile mostlyclean-generic
1054
1055 pdf: pdf-am
1056
1057 pdf-am:
1058
1059 ps: ps-am
1060
1061 ps-am:
1062
1063 uninstall-am:
1064
1065 .MAKE: check-am install-am install-strip
1066
1067 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am \
1068         check-local clean clean-checkPROGRAMS clean-generic \
1069         cscopelist-am ctags ctags-am distclean distclean-compile \
1070         distclean-generic distclean-tags distdir dvi dvi-am html \
1071         html-am info info-am install install-am install-data \
1072         install-data-am install-dvi install-dvi-am install-exec \
1073         install-exec-am install-html install-html-am install-info \
1074         install-info-am install-man install-pdf install-pdf-am \
1075         install-ps install-ps-am install-strip installcheck \
1076         installcheck-am installdirs maintainer-clean \
1077         maintainer-clean-generic mostlyclean mostlyclean-compile \
1078         mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
1079         uninstall uninstall-am
1080
1081 check-local: checkpatch.pl
1082         find $(top_srcdir)/src -name \*.c -exec $(srcdir)/checkpatch.pl --ignore SPLIT_STRING --show-types -q --no-tree  -emacs -f {} \;
1083         find $(top_srcdir)/src -name \*.h -exec $(srcdir)/checkpatch.pl --ignore SPLIT_STRING --show-types -q --no-tree  -emacs -f {} \;
1084
1085 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1086 # Otherwise a system limit (for SysV at least) may be exceeded.
1087 .NOEXPORT: